Package com.xebialabs.xlrelease.domain

# Class TemplateLogo

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.BaseArtifact
com.xebialabs.xlrelease.domain.TemplateLogo

All Implemented Interfaces:
  `Artifact`, `SourceArtifact`, `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(versioned=false) public class TemplateLogo extends BaseArtifact

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `EXPORT_DIRECTORY`

  ### Fields inherited from class com.xebialabs.xlrelease.domain.BaseArtifact

  `CONTENT_TYPE_PROPERTY_NAME, EXPORT_FILENAME_PROPERTY_NAME, PARENT_TITLE_PROPERTY_NAME, PORTABLE_FILENAME_PROPERTY_NAME`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.artifact.SourceArtifact

  `CHECKSUM_PROPERTY_NAME, FILE_URI_PROPERTY_NAME, IS_RESCANNED_PROPERTY_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TemplateLogo()`
  `TemplateLogo(com.xebialabs.overthere.OverthereFile file, String contentType)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static int`
  `getDefaultMaxLogoSize()`
  `String`
  `getExportDirectoryName()`
  `int`
  `getMaxLogoSize()`
  `void`
  `setMaxLogoSize(int maxLogoSize)`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseArtifact

  `getChecksum, getContentType, getExcludeFileNamesRegex, getExportFilename, getFile, getFileEncodings, getFileUri, getPlaceholders, getPortableFilename, getTextFileNamesRegex, setContentType, setExportFilename, setFile, setPlaceholders, setPortableFilename`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `get$directoryReference, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$validationMessages, getId, getName, getProperty, getType, hasProperty, setId, setProperty`

  ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.artifact.SourceArtifact

  `getCredentials, getProxySettings`

- ## Field Details

  - ### EXPORT_DIRECTORY

    public static final String EXPORT_DIRECTORY
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TemplateLogo

    public TemplateLogo()

  - ### TemplateLogo

    public TemplateLogo(com.xebialabs.overthere.OverthereFile file, String contentType)

- ## Method Details

  - ### getExportDirectoryName

    public String getExportDirectoryName()
    Specified by:
      `getExportDirectoryName` in class `BaseArtifact`

  - ### getMaxLogoSize

    public int getMaxLogoSize()

  - ### setMaxLogoSize

    public void setMaxLogoSize(int maxLogoSize)

  - ### getDefaultMaxLogoSize

    public static int getDefaultMaxLogoSize()